Subject: Re: linux-next: build failure after merge of the tty tree

From: Alan Cox <[email-masked]>
Date: Fri, 20 Jul 2012 21:55:16 +0100

> Today's build failed because there's a new user in the MIPS tree:
> arch/mips/cavium-octeon/serial.c
> 
> http://kisskb.ellerman.id.au/kisskb/buildresult/6739341/

The version in the tree I have registers a platform device rather than
calling into 8250 directly. That appears to be rather better mannered
than whatever you are building.

If someone has moved from the platform device could they kindly explain
*why* ?